#General 
* [About](about.md)
<br />About the ZX BASIC SDK

* [ChangeLog](https://github.com/boriel/zxbasic/blob/master/Changelog.md)
<br />A reduced list of changes/bugfixes

* [Installation](installation.md)
<br />How to install the ZX Basic SDK in your system, and prerequisites for doing so.

* [SDK tools](tools.md)
<br />Tools available in the SDK.

* [Command line options](zxb.md#Command_Line_Options)
<br />Command line options table for the compiler (zxb)

# Products

* [Released programs](released_programs.md)
<br />A list of third-party released programs (mostly games) for the ZX-Spectrum developed with ZX BASIC.

# Download

Get the latest version of ZX BASIC from the [archive](archive.md). 

# Tutorials

* [Programming tutorials](tutorials.md)
<br />A collection of third-party tutorials about development with ZX BASIC.

* [Sample Programs](sample_programs.md)
<br />Sample programs you can try to see what ZX BASIC looks like and how fast it runs.

* [Sample Games](sample_programs.md#Game Examples)
<br />Some little games examples.

#Help and Support

* [Community Forum](http://www.boriel.com/forum)
<br />Have a question? Need help or comment a report a bug? Go to the [ZX BASIC forum](http://www.boriel.com/forum)

#External resources

* Here you are [external resources](external_resources.md): other tools, IDEs, graphic designers and projects related to ZX BASIC. Have a look!

#Language Reference
* [Language syntax](syntax.md)
<br />Language Syntax is very close to the original Sinclair BASIC, but it's expanded and enhanced.

* [Data types](types.md)
<br />Language data types: Instead of working always with Floating Point numbers (also available), there are also some integer types which are faster an take less memory.

 * [Reserved words](identifier.md)
<br />Comprehensive list (alphabetically ordered) of identifiers you shouldn't use as a ''variable name''. E.g. `FOR`, `PRINT`. If you want usage instructions on a statement, also look here.

# External libraries

* [Library](library.md)
<br />Library of functions and subroutines you can use in your programs. You might find them really useful.

# Inline assembler
Embedding inline assembler in your code is pretty easy. There's a [tutorial](tutorials.md) on it.

# Compiler internals
Only for true hackers: This explains how the compiler does it job, how to expand it, etc. You must be a bit crazy if you enter here...

# Other Architectures
ZX Basic was designed from the base as a Retargeable Compiler, so it should be not hard to extend
it to other architectures. This is `work in progress`. See [other architectures](other_architectures.md) for more info.
